Czy w Internet Explorerze 11 należy zainstalować 64-bit wersję Javy?


(H@wkeye) #1

Czy w natywnej dla systemu Windows 7 przeglądarce IE 11 w wersjach x86 i x64 należy instalować także 64-bitową wersję Javy ?

Mam tylko zainstalowaną wersję 7 Up 51 x86 (w Panelu Javy mam napisane (32-bitowy)), wiem że dla x64 wersji wyszła już nowsza Java SE 8 Runtime Environment

 

Nie wiem tylko czy w w przypadku IE 11 wersję x64 należy uważać za również natywną (na równi z x86) i doinstalować Javę 8 ?Tutaj też sprawa zahacza trochę o dylemat z której ja właściwie wersji IE 11 korzystam, czy z x86, czy z obu naraz ?

 

Z kolei 32-bitowy Firefox pokazuje mi, że wtyczki od Javy SE 7 U51 są u niego o dziwo nieaktualne...

 

Sprawdzałem też: tutaj czy mam najnowszą Javę i wyszło, że aktualnie tak - to wersja 7 Up 51.  :beksa:


(MrBeckham666) #2

najlepiej zainstalować najnowszą 8.

 

wersje 32 bit i 64 bit są tak jakby nie zależne od sb.

 

jeżeli bedziesz korzystał z 32 bit przeglądarki bedzie działać 32 bit java.

 

jeżeli odpalisz IE11 64 bit bedzie działał 64 bitowa java.

 

dlatego najlepiej jest mieć zainstalowane dwie wersje.


(memnon) #3

Javę 64-bitową zainstaluj tylko jeśli korzystasz z I.E. ( czy innej przeglądarki ) w wersji 64-bit . Java 8 32 bitowa jest od dawna : http://www.oracle.com/technetwork/java/javase/downloads/jre8-downloads-2133155.html . Zresztą na DP.pl pod podanym przez Ciebie linkiem : http://www.dobreprogramy.pl/Java-SE,Program,Windows,13186.html  też jest . Rozwiń linki bezpośrednie lub wszystkie wersje ( pierwsza opcja będzie jak wejdziesz niezalogowany a druga jak się zalogujesz ) . Ty masz system 64-bitowy więc DP.pl pokazują wersję odpowiednią dla twojego systemu ( w zielonym buttonie Pobierz

program ) co jak widać może powodować takie sytuacje  .Firefox pokazuje dobrze . Jeśli chodzi o ostatni link to : http://www.java.com/pl/download/faq/release.xml .

A tak na marginesie większość odradza instalowanie Javy w ogóle ( Kaspersky na przykład ) chyba że jej koniecznie potrzebujesz , chodzi oczywiście o to że jest

dziurawa bardziej niż ser szwajcarski . Osobiście mam zainstalowaną ale wyłączoną we wszystkich przeglądarkach ( potrzebna mi do prawidłowego funkcjonowania

dwóch programów ) , i choć intensywnie serfuje po necie , korzystam z bankowości online , chatów nie była mi potrzebna od niepamiętnych czasów . A podobno to

niektóre banki i chaty wymagają Javy .


(H@wkeye) #4

Ok., rozumiem tylko mam jeszcze jedno pytanie.

 

Jak sprawdzić czy korzystam z 64-bitowej wersji IE 11, w tej edycji coś się tam chyba zmieniło i startują one albo obie naraz nie tak jak poprzednio oddzielnie, albo po zaznaczeniu jakiejś opcji.

Mam trochę kłopot ze zweryfikowaniem tego w tej wersji - IE 11. W Info o IE pisze wprawdzie, że to 32-bit, ale jak włączyć x64 ?

 

W odnośniku na DP Wszystkie wersje są dwie wersje Javy: 7 Update 51 (x64) i 8 Runtime (x64), o co tu chodzi ?

Czy to przypadek, że są aż dwie wersje dla dwóch architektur, a ta 8 jest po prostu nowsza ?

 

Witryna Javy pokazuje mi, że na tym systemie mam najnowszą wersję 7 Update 51 (x86).

Może powinienem pobrać tylko tę wersję Java SE 7 Update 51 (x64) ?

To raz.

 

Drugie. Jak najlepiej odinstalowywać Javę z systemu, czy tak jak zaleca witryna producenta czyli po prostu przez PS i to wystarczy ?

Może jeszcze z użyciem np. CCleanera ?

Bo słyszałem, że ważne jest tutaj dokładne wyczyszczenie pozostałości poprzedniej wersji.

 

A w ogóle to Java jest potrzebna, tak używam choćby pakietu Apache OpenOffice, oczywiście w aktualnie stabilnej, najnowszej wersji. 


(Łukash) #5

Jeżeli chodzi o IE 11 to aby korzystać z wersji x64 należy zaznaczyć opcję “Włącz rozszerzony tryb chroniony*” w opcjach internetowych > Zaawansowane > Zastosować > Restart IE. Sprawdzić z jakiej wersji się korzysta można na dwa sposoby: 1. Menedżer zadań > Procesy - kolumna Nazwa obrazu: iexplore.exe*32 = 32bit, iexplore.exe = 64bit. Podobne info pokaże Ci stronka do sprawdzania identyfikacji przeglądarki np: http://whatsmyuseragent.com/ . Windows NT 6.1; Win64; x64…= IE w wersji x64, Windows NT 6.1; WOW64 = 32bit.

Jest jeszcze taka sprawa np instancja IE uruchomiona w trybie 64bit może odpalać kolejną kartą w trybie 32bit bo tu chodzi o kompatybilność dodatków i wtyczek, jeżeli nie ma kompatybilnej x64 a jest x32 to karta uruchomia się w zgodnym trybie.

Co do Javy to tak - zainstaluj dwie wersję x32 i x64.


(H@wkeye) #6

Ok. @ Łukash dzięki Ci bardzo za pomoc w zrozumieniu tego, już wcześniej wiedziałem o tej opcji * Włącz rozszerzony tryb… i po jej zahaczeniu, wymaganym restarcie komputera i sprawdzeniu w MZ > Procesy, że jeszcze przed włączeniem są tam dwa procesy: iexplore.exe *32 i iexplore.exe, a po włączeniu opcji są dwa procesy iexplore.exe a więc faktycznie tak jest.

Także ta strona genialnie to potwierdziła i przy okazji w FF i w Chrome…

 

Javę pobrałem w wersji SE 7 Update 51 (x64) z instalatora offline, wersji 8 nie brałem bo jednak jeszcze znajduje się w fazie testowej na stronie Oracle Corp.

Jak się tylko pojawi na www.java.com, wtedy ją pobiorę.

 

Dziękuję wam wszystkim za pomoc. :mruga:


(Łukash) #7

Również posiadam tę wersję (32 i 64), z tą 8 coś mi nie gra, update Javy (aplet 32 bit - “C:\Program Files (x86)\Java\jre7\bin\javacpl.exe”, bo w 64 nie ma tej opcji) też zgłasza zalecaną najnowszą :wink: